org.richfaces.component.html

## Class HtmlTabPanel

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - javax.faces.component.UIInput
        - - org.richfaces.component.UISwitchablePanel
          - - org.richfaces.component.UITabPanel
            - - org.richfaces.component.html.HtmlTabPanel

- All Implemented Interfaces:
    javax.faces.component.EditableValueHolder, javax.faces.component.StateHolder, javax.faces.component.ValueHolder

      public class HtmlTabPanel
      extends UITabPanel

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class org.richfaces.component.UISwitchablePanel

      `AJAX_METHOD, CLIENT_METHOD, DEFAULT_METHOD, SERVER_METHOD`

    - ### Fields inherited from class javax.faces.component.UIInput

      `CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlTabPanel()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getActiveTabClass()`
    `java.lang.String` | `getContentClass()`
    `java.lang.String` | `getContentStyle()`
    `java.lang.String` | `getDir()`
    `java.lang.String` | `getDisabledTabClass()`
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getHeaderAlignment()` Get headers alignment - one of "left", "center" and "right".
    `java.lang.String` | `getHeaderClass()`
    `java.lang.String` | `getHeaderSpacing()`
    `java.lang.String` | `getHeight()`
    `java.lang.String` | `getInactiveTabClass()`
    `java.lang.String` | `getLabel()`
    `java.lang.String` | `getLang()`
    `java.lang.String` | `getOnclick()`
    `java.lang.String` | `getOndblclick()`
    `java.lang.String` | `getOnkeydown()`
    `java.lang.String` | `getOnkeypress()`
    `java.lang.String` | `getOnkeyup()`
    `java.lang.String` | `getOnmousedown()`
    `java.lang.String` | `getOnmousemove()`
    `java.lang.String` | `getOnmouseout()`
    `java.lang.String` | `getOnmouseover()`
    `java.lang.String` | `getOnmouseup()`
    `java.lang.String` | `getOntabchange()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `java.lang.String` | `getSwitchType()` Get Tab selection behavior for panel - one of "client", "server", "ajax", "page".
    `java.lang.String` | `getTabClass()`
    `java.lang.String` | `getTitle()`
    `java.lang.String` | `getWidth()`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setActiveTabClass(java.lang.String _activeTabClass)`
    `void` | `setContentClass(java.lang.String _contentClass)`
    `void` | `setContentStyle(java.lang.String _contentStyle)`
    `void` | `setDir(java.lang.String _dir)`
    `void` | `setDisabledTabClass(java.lang.String _disabledTabClass)`
    `void` | `setHeaderAlignment(java.lang.String _headerAlignment)` Set headers alignment - one of "left", "center" and "right".
    `void` | `setHeaderClass(java.lang.String _headerClass)`
    `void` | `setHeaderSpacing(java.lang.String _headerSpacing)`
    `void` | `setHeight(java.lang.String _height)`
    `void` | `setInactiveTabClass(java.lang.String _inactiveTabClass)`
    `void` | `setLabel(java.lang.String _label)`
    `void` | `setLang(java.lang.String _lang)`
    `void` | `setOnclick(java.lang.String _onclick)`
    `void` | `setOndblclick(java.lang.String _ondblclick)`
    `void` | `setOnkeydown(java.lang.String _onkeydown)`
    `void` | `setOnkeypress(java.lang.String _onkeypress)`
    `void` | `setOnkeyup(java.lang.String _onkeyup)`
    `void` | `setOnmousedown(java.lang.String _onmousedown)`
    `void` | `setOnmousemove(java.lang.String _onmousemove)`
    `void` | `setOnmouseout(java.lang.String _onmouseout)`
    `void` | `setOnmouseover(java.lang.String _onmouseover)`
    `void` | `setOnmouseup(java.lang.String _onmouseup)`
    `void` | `setOntabchange(java.lang.String _ontabchange)`
    `void` | `setStyle(java.lang.String _style)`
    `void` | `setStyleClass(java.lang.String _styleClass)`
    `void` | `setSwitchType(java.lang.String _switchType)` Set Tab selection behavior for panel - one of "client", "server", "ajax", "page".
    `void` | `setTabClass(java.lang.String _tabClass)`
    `void` | `setTitle(java.lang.String _title)`
    `void` | `setWidth(java.lang.String _width)`

    - ### Methods inherited from class org.richfaces.component.UITabPanel

      `convertSwitchValue, getRenderedTabs, getRenderedValue, getRendersChildren, getSelectedTab, getSwitchedFacetsAndChildren, getValue, isImmediate, processDecodes, queueEvent, setRenderedValue, setSelectedTab, setValue`

    - ### Methods inherited from class org.richfaces.component.UISwitchablePanel

      `broadcast, processUpdates, processValidators, updateModel`

    - ### Methods inherited from class javax.faces.component.UIInput

      `addValidator, addValueChangeListener, compareValues, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isLocalValueSet, isRequired, isValid, removeValidator, removeValueChangeListener, resetValue, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValueChangeListener, validate, validateValue`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `getConverter, getLocalValue, setConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getConverter, getLocalValue, setConverter`

- - ### Field Detail

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlTabPanel

          public HtmlTabPanel()

  - ### Method Detail

    - #### getActiveTabClass

          public java.lang.String getActiveTabClass()

    - #### setActiveTabClass

          public void setActiveTabClass(java.lang.String _activeTabClass)

    - #### getContentClass

          public java.lang.String getContentClass()

    - #### setContentClass

          public void setContentClass(java.lang.String _contentClass)

    - #### getContentStyle

          public java.lang.String getContentStyle()

    - #### setContentStyle

          public void setContentStyle(java.lang.String _contentStyle)

    - #### getDir

          public java.lang.String getDir()

    - #### setDir

          public void setDir(java.lang.String _dir)

    - #### getDisabledTabClass

          public java.lang.String getDisabledTabClass()

    - #### setDisabledTabClass

          public void setDisabledTabClass(java.lang.String _disabledTabClass)

    - #### getHeaderAlignment

          public java.lang.String getHeaderAlignment()

      Description copied from class: `UITabPanel`
      Get headers alignment - one of "left", "center" and "right".
      Specified by:
        `getHeaderAlignment` in class `UITabPanel`
      Returns:
        headerAlignment value from local variable or value bindings

    - #### setHeaderAlignment

          public void setHeaderAlignment(java.lang.String _headerAlignment)

      Description copied from class: `UITabPanel`
      Set headers alignment - one of "left", "center" and "right".
      Specified by:
        `setHeaderAlignment` in class `UITabPanel`

    - #### getHeaderClass

          public java.lang.String getHeaderClass()

      Specified by:
        `getHeaderClass` in class `UITabPanel`

    - #### setHeaderClass

          public void setHeaderClass(java.lang.String _headerClass)

      Specified by:
        `setHeaderClass` in class `UITabPanel`

    - #### getHeaderSpacing

          public java.lang.String getHeaderSpacing()

      Specified by:
        `getHeaderSpacing` in class `UITabPanel`

    - #### setHeaderSpacing

          public void setHeaderSpacing(java.lang.String _headerSpacing)

      Specified by:
        `setHeaderSpacing` in class `UITabPanel`

    - #### getHeight

          public java.lang.String getHeight()

    - #### setHeight

          public void setHeight(java.lang.String _height)

    - #### getInactiveTabClass

          public java.lang.String getInactiveTabClass()

    - #### setInactiveTabClass

          public void setInactiveTabClass(java.lang.String _inactiveTabClass)

    - #### getLabel

          public java.lang.String getLabel()

    - #### setLabel

          public void setLabel(java.lang.String _label)

    - #### getLang

          public java.lang.String getLang()

    - #### setLang

          public void setLang(java.lang.String _lang)

    - #### getOnclick

          public java.lang.String getOnclick()

    - #### setOnclick

          public void setOnclick(java.lang.String _onclick)

    - #### getOndblclick

          public java.lang.String getOndblclick()

    - #### setOndblclick

          public void setOndblclick(java.lang.String _ondblclick)

    - #### getOnkeydown

          public java.lang.String getOnkeydown()

    - #### setOnkeydown

          public void setOnkeydown(java.lang.String _onkeydown)

    - #### getOnkeypress

          public java.lang.String getOnkeypress()

    - #### setOnkeypress

          public void setOnkeypress(java.lang.String _onkeypress)

    - #### getOnkeyup

          public java.lang.String getOnkeyup()

    - #### setOnkeyup

          public void setOnkeyup(java.lang.String _onkeyup)

    - #### getOnmousedown

          public java.lang.String getOnmousedown()

    - #### setOnmousedown

          public void setOnmousedown(java.lang.String _onmousedown)

    - #### getOnmousemove

          public java.lang.String getOnmousemove()

    - #### setOnmousemove

          public void setOnmousemove(java.lang.String _onmousemove)

    - #### getOnmouseout

          public java.lang.String getOnmouseout()

    - #### setOnmouseout

          public void setOnmouseout(java.lang.String _onmouseout)

    - #### getOnmouseover

          public java.lang.String getOnmouseover()

    - #### setOnmouseover

          public void setOnmouseover(java.lang.String _onmouseover)

    - #### getOnmouseup

          public java.lang.String getOnmouseup()

    - #### setOnmouseup

          public void setOnmouseup(java.lang.String _onmouseup)

    - #### getOntabchange

          public java.lang.String getOntabchange()

    - #### setOntabchange

          public void setOntabchange(java.lang.String _ontabchange)

    - #### getStyle

          public java.lang.String getStyle()

    - #### setStyle

          public void setStyle(java.lang.String _style)

    - #### getStyleClass

          public java.lang.String getStyleClass()

    - #### setStyleClass

          public void setStyleClass(java.lang.String _styleClass)

    - #### getSwitchType

          public java.lang.String getSwitchType()

      Description copied from class: `UITabPanel`
      Get Tab selection behavior for panel - one of "client", "server", "ajax", "page".
      Specified by:
        `getSwitchType` in class `UITabPanel`
      Returns:
        switchType value from local variable or value bindings

    - #### setSwitchType

          public void setSwitchType(java.lang.String _switchType)

      Description copied from class: `UITabPanel`
      Set Tab selection behavior for panel - one of "client", "server", "ajax", "page".
      Specified by:
        `setSwitchType` in class `UITabPanel`

    - #### getTabClass

          public java.lang.String getTabClass()

    - #### setTabClass

          public void setTabClass(java.lang.String _tabClass)

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle(java.lang.String _title)

    - #### getWidth

          public java.lang.String getWidth()

    - #### setWidth

          public void setWidth(java.lang.String _width)

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIInput`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `UITabPanel`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `UITabPanel`

Copyright © 2014. All Rights Reserved.